JavaScript/jQuery ContextMenu - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the ContextMenu features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The ContextMenu component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
ContextMenu does not support Windows High Contrast themes.

Keyboard Navigation

A user can use the following keys to interact with the ContextMenu component:

Key Action
Closes the submenu and focuses on its parent item.
Opens the submenu of the focused item.
Home Sets focus to the first item in the menu/submenu.
End Sets focus to the last item in the menu/submenu.
Space Switches the focused item to the selected state.
Enter Chooses the focused item.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

JavaScript
  • function registerKeyHandlers () {
  • const contextMenu = $("#contextMenuContainer").dxContextMenu("instance");
  • contextMenu.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • contextMenu.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }

Screen Reader Support

The ContextMenu component supports screen readers and complies to WAI-ARIA standards.

React ContextMenu - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the ContextMenu features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The ContextMenu component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
ContextMenu does not support Windows High Contrast themes.

Keyboard Navigation

A user can use the following keys to interact with the ContextMenu component:

Key Action
Closes the submenu and focuses on its parent item.
Opens the submenu of the focused item.
Home Sets focus to the first item in the menu/submenu.
End Sets focus to the last item in the menu/submenu.
Space Switches the focused item to the selected state.
Enter Chooses the focused item.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { ContextMenu } from 'devextreme-react/context-menu';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.contextMenuRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <ContextMenu ref={this.contextMenuRef} />
  • );
  • }
  •  
  • get contextMenu() {
  • return this.contextMenuRef.current.instance();
  • }
  •  
  • componentDidMount() {
  • this.contextMenu.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.contextMenu.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The ContextMenu component supports screen readers and complies to WAI-ARIA standards.